%define major 1
%define libname %mklibname %{name} %{major}
%define develname %mklibname -d %{name}

Summary: Lossless Audio compressor
Name: wavpack
Version: 4.70.0
%define subrel 1
Release: %mkrel 3
Source0: http://www.wavpack.com/%{name}-%{version}.tar.bz2
Patch0: wavpack-4.70.0-CVE-2016-10169.patch
License: BSD
Group: Sound/Utilities
Url: http://www.wavpack.com/
BuildRequires: libncurses-devel

%description
WavPack is a completely open audio compression format providing
lossless, high-quality lossy, and a unique hybrid compression
mode. Although the technology is loosely based on previous versions of
WavPack, the new version 4 format has been designed from the ground up
to offer unparalleled performance and functionality.

In the default lossless mode WavPack acts just like a WinZip
compressor for audio files. However, unlike MP3 or WMA encoding which
can affect the sound quality, not a single bit of the original
information is lost, so there's no chance of degradation. This makes
lossless mode ideal for archiving audio material or any other
situation where quality is paramount. The compression ratio depends on
the source material, but generally is between 30% and 70%.

The hybrid mode provides all the advantages of lossless compression
with an additional bonus. Instead of creating a single file, this mode
creates both a relatively small, high-quality lossy file that can be
used all by itself, and a "correction" file that (when combined with
the lossy file) provides full lossless restoration. For some users
this means never having to choose between lossless and lossy
compression!

%package -n %{libname}
Group: System/Libraries
Summary: Lossless Audio compression library

%description -n %{libname}
WavPack is a completely open audio compression format providing
lossless, high-quality lossy, and a unique hybrid compression
mode. Although the technology is loosely based on previous versions of
WavPack, the new version 4 format has been designed from the ground up
to offer unparalleled performance and functionality.

In the default lossless mode WavPack acts just like a WinZip
compressor for audio files. However, unlike MP3 or WMA encoding which
can affect the sound quality, not a single bit of the original
information is lost, so there's no chance of degradation. This makes
lossless mode ideal for archiving audio material or any other
situation where quality is paramount. The compression ratio depends on
the source material, but generally is between 30% and 70%.

The hybrid mode provides all the advantages of lossless compression
with an additional bonus. Instead of creating a single file, this mode
creates both a relatively small, high-quality lossy file that can be
used all by itself, and a "correction" file that (when combined with
the lossy file) provides full lossless restoration. For some users
this means never having to choose between lossless and lossy
compression!

%package -n %{develname}
Group: Development/C
Summary: Lossless Audio compression library
Provides: lib%{name}-devel = %{version}-%{release}
Obsoletes: %mklibname -d %{name} 1
Requires: %{libname} = %{version}

%description -n %{develname}
WavPack is a completely open audio compression format providing
lossless, high-quality lossy, and a unique hybrid compression
mode. Although the technology is loosely based on previous versions of
WavPack, the new version 4 format has been designed from the ground up
to offer unparalleled performance and functionality.

In the default lossless mode WavPack acts just like a WinZip
compressor for audio files. However, unlike MP3 or WMA encoding which
can affect the sound quality, not a single bit of the original
information is lost, so there's no chance of degradation. This makes
lossless mode ideal for archiving audio material or any other
situation where quality is paramount. The compression ratio depends on
the source material, but generally is between 30% and 70%.

The hybrid mode provides all the advantages of lossless compression
with an additional bonus. Instead of creating a single file, this mode
creates both a relatively small, high-quality lossy file that can be
used all by itself, and a "correction" file that (when combined with
the lossy file) provides full lossless restoration. For some users
this means never having to choose between lossless and lossy
compression!

%prep
%autosetup -p1

%build
%configure2_5x --disable-static
%make_build

%install
%make_install

rm -f %{buildroot}%{_libdir}/*.la

%files
%doc README ChangeLog
%{_bindir}/wavpack
%{_bindir}/wvunpack
%{_bindir}/wvgain
%{_mandir}/man1/*1*

%files -n %{libname}
%{_libdir}/lib*.so.%{major}*

%files -n %{develname}
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/wavpack/


%changelog
* Mon Mar 06 2017 akien <akien> 4.70.0-3.1.mga5
+ Revision: 1089126
- Cherry-pick pick for CVE-2016-10169 (presumably)

* Wed Oct 15 2014 umeabot <umeabot> 4.70.0-3.mga5
+ Revision: 743941
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.70.0-2.mga5
+ Revision: 690277
- Mageia 5 Mass Rebuild

* Fri Feb 14 2014 luigiwalser <luigiwalser> 4.70.0-1.mga5
+ Revision: 591399
- 4.70.0

* Fri Oct 18 2013 umeabot <umeabot> 4.60.1-4.mga4
+ Revision: 520070
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 4.60.1-3.mga3
+ Revision: 385644
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 12 2012 fwang <fwang> 4.60.1-2.mga3
+ Revision: 305019
- update rpm group
- drop .la file

* Sat Jan 15 2011 mikala <mikala> 4.60.1-2.mga1
+ Revision: 18538
- Drop mdk macros
- Remove BuildRoot
- imported package wavpack

